:root {
  --primary-color: #20306D;
  --secondary-color: #4E6396;
  --accent1-color: #B8BDD1;
  --accent2-color: #D9DCE8;
  --heading-font: "Roboto Condensed", sans-serif;
  --body-font: "Roboto", sans-serif;
}

@media (max-width: 430px){
  body{
    font-size: 16px;
  }

  .container{
    flex-direction: column;
    width: 100%;
  }

  img{
    max-width: 100%;
    height: auto;
  }
}

header{
  margin: 1rem auto;
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: auto 1fr;
  align-items: center;
  background-color: var(--accent1-color);
  color: var(--accent2-color);
}

main{
  background-color: #6f99cfd3;
  padding: 10px;
}

main h1{
  border-radius: 8px;
}
.navigation{
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  padding: 0;
  font-family: var(--body-font);
}

.navigation li {
  flex: 1 1 auto;
}

.navigation a{
  display: block;
  color: var(--primary-color);
  padding: 20px;
  text-decoration: none;
  font-size: 1rem;
}

.navigation a:hover{
  color: #000;
  font-weight: 700;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body{
  font-family: var(--body-font);
  color: var(--primary-color);
  background-color: #02223898;
}

header, main, footer {
  width: 840px;
  margin: 0 auto;
}

h1, h2 {
  font-family: var(--heading-font);
  color: var(--primary-color);
}


nav, p, section, article {
  margin: 16px;
  padding: 8px;
}


.socialmedia a {
  text-decoration: none;
}

.hero{
  position: relative;
}

.hero img {
  display: block;
  width: 100%;
  height: auto;
  border-radius: 8px;
}

.hero > h1 {
  position: absolute;
  top: 20px;
  width: 100%;
  padding: 16px;
  text-align: center;
  opacity: 0.7;
  background-color: var(--accent1-color);
  color: #081822b4; 
}

h1{
  width: 100%;
  padding: 16px;
  text-align: center;
  opacity: 0.7;
  background-color: var(--accent1-color);
  color: #081822b4; 
}

.hero > article{
  position: absolute;
  top: 50%;
  left:auto;
  background-color: var(--accent2-color);
  opacity: 0.7;
  border-radius: 8px;

}

.hero article img {
  float: right;
  width: 125px;
  padding-top: 26px;

}

footer{
 display: flex;
 justify-content: space-evenly;
 align-items: center;
 background-color: var(--accent1-color);
 /* border-radius: 8px; */
}

.socialmedia{
  display: flex;
  gap: 15px;
  margin-left: auto;
}

footer p{
  position: absolute;
  left: 45%;
  transform: translateX(-50%);
}

.adventure{
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 12px;
  margin: 24px 16px;
  padding: 8px;
  text-align: center;
}

.adventure h2{
  grid-column: 1 / -1;
  font-family: var(--heading-font);
  text-align: center;
  margin-bottom: 16px;
}


.adventure figure {
  margin: 0;
}


.adventure img {
  width: 100%;
  max-width: 100%;
  height: auto;
  border-radius: 6px;
}

.adventure figcaption {
  margin-top: 8px;
  font-size: 0.9rem;
  color: var(--primary-color);
  font-weight: bold;
}

.history-layout {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  gap: 16px;
  align-items: center;
}

.history-layout img {
  width: 200px;
  height: auto;
  border-radius: 8px;
  display: block;
  margin: auto;
}

.history h2{
  text-align: center;
}

.employees {
  display: flex;
  text-align: center;
  margin: 2rem 0;
  justify-content: space-around;
  gap: 1rem;
}

.team h2 {
  text-align: center;
  margin: 1rem 0;
}

.employees img {
  width: 150px;
  border-radius: 8px;
}


.contact-form{
  background-color: var(--accent1-color);
  padding: 1.5rem;
  border-radius: 8px;
}

.newsletter h2{
  text-align: center;
}
.contact-form form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.contact-form input,
.contact-form textarea,
.contact-form button {
  padding: 0.5rem;
  font-size: 1rem;
}

.map iframe {
  width: 100%;
  height: 300px;
  border: none;
}

footer a{
  text-decoration: none;
}

footer a:hover{
  color: #000;
  font-weight: 700;
  text-decoration: none;
}

.btn{
  border-radius: 30px;
  padding: 0.6rem 1.2rem;
  text-decoration: none;
  text-align: center;
  color: #000;
  background-color: var(--accent2-color);
}

.history-layout  article{
  position: relative;
  top: auto;
  left:auto;
  background-color: var(--accent2-color);
  opacity: 0.7;
  border-radius: 8px;

}

.cta {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  background-color: var(--accent1-color);
  border-radius: 8px;
}

.grid-info {
  padding: 2rem 1rem;
}

.history-layout {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 2rem;
  text-align: center;
}

.info-item img {
  width: 100%;
  height: auto;
  border-radius: 8px;
}

.info-item article {
  margin-top: 0.5rem;
}

.info-item h2 {
  font-size: 1.2rem;
  margin-bottom: 0.5rem;
  color: var(--primary-color);
}

.info-item p {
  font-size: 1rem;
  color: var(--primary-color);
}

.trip-cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);;
  gap: 1rem;
  padding: 1rem;
}

.trip-cards .trip {
  background-color: var(--accent2-color);
  padding: 1rem;
  border-radius: 8px;
  text-align: center;
}

.trip-cards img {
  width: 100%;
  border-radius: 8px;
}

.trip-table {
  padding: 1rem;
  text-align: center;
}

.trip-table table {
  width: 100%;
  border-collapse: collapse;
}

.trip-table th,
.trip-table td {
  padding: 12px;
  border: 1px solid var(--accent1-color);
  text-align: center;
}